--AH:ScriptId=a468aaf8-bfd7-4e5d-b6bc-26aef2162f61;3010
ALTER TABLE [BuildExecutions]
	DROP CONSTRAINT [FK__BuildExecutions__BuildPromotions]
ALTER TABLE [BuildExecutions]
	ADD [Promotion_Id] INT NULL
ALTER TABLE [BuildExecutions]
	ADD [PipelineStageTarget_Name] VARCHAR(50) NULL

ALTER TABLE [BuildPromotions]
	ADD [Promotion_Id] INT IDENTITY(1, 1) NOT NULL
ALTER TABLE [BuildPromotions]
	ADD [PipelineStage_Name] VARCHAR(50) NULL
ALTER TABLE [BuildPromotions]
	DROP CONSTRAINT [PK__BuildPromotions]
ALTER TABLE [BuildPromotions]
	DROP CONSTRAINT [FK__BuildPromotions__Environments]

ALTER TABLE [VariableDefinitions]
	ADD [Promotion_Id] INT NULL

GO

UPDATE BP
   SET BP.[PipelineStage_Name] = E.[Environment_Name]
  FROM [BuildPromotions] BP
       INNER JOIN [Environments] E
	           ON E.[Environment_Id] = BP.[Environment_Id]

INSERT INTO [BuildPromotions]
(
	[Application_Id],
	[Release_Number],
	[Build_Number],
	[Environment_Id],
	[Promoted_Date],
	[PromotedBy_Name],
	[PromotionStatus_Name],
	[Forced_Indicator],
	[Build_Id],
	[PipelineStage_Name]
)
SELECT BE.[Application_Id],
       BE.[Release_Number],
	   BE.[Build_Number],
	   0,
	   E.[CreatedOn_Date],
	   E.[CreatedBy_User_Name],
	   'Completed',
	   'N',
	   B.[Build_Id],
	   'Build'
  FROM [BuildExecutions] BE
       INNER JOIN [Executions] E
	           ON E.[Execution_Id] = BE.[Execution_Id]
       INNER JOIN [Builds] B
	           ON B.[Application_Id] = BE.[Application_Id]
			  AND B.[Release_Number] = BE.[Release_Number]
			  AND B.[Build_Number] = BE.[Build_Number]
 WHERE BE.[Execution_Id] IN (SELECT MAX([Execution_Id])
                               FROM [BuildExecutions]
							  WHERE [Environment_Id] IS NULL
							  GROUP BY [Application_Id], [Release_Number], [Build_Number])

UPDATE BE
   SET BE.[Promotion_Id] = BP.[Promotion_Id],
       BE.[PipelineStageTarget_Name] = BP.[PipelineStage_Name]
  FROM [BuildExecutions] BE
       INNER JOIN [BuildPromotions] BP
	           ON BP.[Application_Id] = BE.[Application_Id]
			  AND BP.[Release_Number] = BE.[Release_Number]
			  AND BP.[Build_Number] = BE.[Build_Number]
			  AND BP.[Environment_Id] = COALESCE(BE.[Environment_Id], 0)

GO

ALTER TABLE [BuildPromotions]
	ADD CONSTRAINT [PK__BuildPromotions]
		PRIMARY KEY ([Promotion_Id])

ALTER TABLE [BuildPromotions]
	ALTER COLUMN [PipelineStage_Name] VARCHAR(50) NOT NULL

ALTER TABLE [BuildPromotions]
	ADD CONSTRAINT [UQ__BuildPromotions]
		UNIQUE ([Build_Id], [PipelineStage_Name])

DROP INDEX [IX__BuildExecutions__Builds]
	ON [BuildExecutions]
DROP INDEX [IX__BuildExecutions__Promotions]
	ON [BuildExecutions]

ALTER TABLE [BuildExecutions]
	ADD CONSTRAINT [FK__BuildExecutions__BuildPromotions]
		FOREIGN KEY ([Promotion_Id])
		REFERENCES [BuildPromotions] ([Promotion_Id])
		ON DELETE CASCADE

ALTER TABLE [BuildExecutions]
	ALTER COLUMN [Promotion_Id] INT NOT NULL
ALTER TABLE [BuildExecutions]
	ALTER COLUMN [PipelineStageTarget_Name] VARCHAR(50) NOT NULL

ALTER TABLE [BuildExecutions]
	DROP COLUMN [Application_Id]
ALTER TABLE [BuildExecutions]
	DROP COLUMN [Release_Number]
ALTER TABLE [BuildExecutions]
	DROP COLUMN [Build_Number]

ALTER TABLE [VariableDefinitions]
	ADD CONSTRAINT [FK__VariableDefinitions__Promotions]
		FOREIGN KEY ([Promotion_Id])
		REFERENCES [BuildPromotions] ([Promotion_Id])
