IF OBJECT_ID('[ChangeControlPerformances_ReleaseSummary]') IS NOT NULL DROP VIEW [ChangeControlPerformances_ReleaseSummary]
GO

CREATE VIEW [ChangeControlPerformances_ReleaseSummary] AS

	    SELECT  CC.[ChangeControl_Id],
	     E.[Environment_Name],
	     E.[Environment_Id],
       CCP.[ChangeControlPerformance_Id],
       CCP.[Notes_Text],
       CCP.[PerformedBy_User_Name],
       CCP.[Performed_Date],
           [ChangeControlPerformed_Indicator] = CASE
                WHEN [ChangeControlPerformance_Id] IS NULL
                    THEN 'N'
                    ELSE 'Y'
                END
          FROM [ChangeControlEnvironments] CCE
    INNER JOIN [ChangeControls] CC
            ON CC.[ChangeControl_Id] = CCE.[ChangeControl_Id]
    LEFT JOIN  [ChangeControlPerformances] CCP
            ON CCP.[ChangeControl_Id] = CC.[ChangeControl_Id]
            AND CCP.[Environment_Id] = CCE.[Environment_Id]
    INNER JOIN [Environments] E
            ON E.[Environment_Id] = CCE.[Environment_Id]

GO