IF OBJECT_ID('[Packages_Extended]') IS NOT NULL DROP VIEW [Packages_Extended]
GO

CREATE VIEW [Packages_Extended] AS

SELECT 
	 P.[Package_Id]
	,P.[Build_Id]
	,P.[PackageSource_Id]
	,[PackageSource_Name] = COALESCE(S.[PackageSource_Name], P.[Original_PackageSource_Feed_Name])
	,[Feed_Url] = COALESCE(S.[Feed_Url], P.[Original_PackageSource_Feed_Url])
	,P.[AddedToBuildIn_Execution_Id]
	,P.[Package_Name]
	,P.[Version_Text]
	,P.[InitialMetadata_SHA1_Bytes]
	,P.[Original_PackageSource_Feed_Name]
	,P.[Original_PackageSource_Feed_Url]
	,R.[Pipeline_Id]
	,R.[Release_Id]
	,R.[Release_Number]
	,R.[Release_Name]
	,R.[ReleaseTemplate_Name]
	,B.[BuildStatus_Name]
	,A.[Application_Id]
	,A.[Application_Name]
	,P.[Active_Indicator]
	,S.[PackageSourceType_Code]

  FROM [Packages] P
		LEFT JOIN [Builds] B
				ON B.[Build_Id] = P.[Build_Id]
		LEFT JOIN [PackageSources] S
				ON S.[PackageSource_Id] = P.[PackageSource_Id]
		INNER JOIN [Releases] R
				ON R.[Release_Id] = B.[Release_Id]
		INNER JOIN [Applications] A
				ON A.[Application_Id] = R.[Application_Id]

GO
