IF OBJECT_ID('[ReleaseDeployables_Extended]') IS NOT NULL DROP VIEW [ReleaseDeployables_Extended]
GO

CREATE VIEW [ReleaseDeployables_Extended] AS

SELECT D.[Deployable_Id]
      ,D.[Deployable_Name]
      ,D.[CreatedBy_User_Name]
      ,D.[CreatedOn_Date]
      ,D.[ModifiedBy_User_Name]
      ,D.[ModifiedOn_Date]

      ,A.[Application_Id]
      ,A.[Application_Name]

      ,[Dependencies_Count] =
                             (SELECT COUNT(*) FROM [DeployableDependencies] _DD
                               WHERE _DD.[Deployable_Id] = D.[Deployable_Id])
      ,[Dependants_Count] = 
                             (SELECT COUNT(*) FROM [DeployableDependencies] _DD
                               WHERE _DD.[DependsOn_Deployable_Id] = D.[Deployable_Id])
      ,R.[Release_Id]
      ,R.[Release_Number]
	  ,R.[Pipeline_Id]
      ,RD.[InclusionType_Code]
	  ,RD.[Referenced_Release_Id]
      ,[Referenced_Release_Number] = RREF.[Release_Number]
      ,[Referenced_Application_Id] = RREF.[Application_Id]
      ,[Referenced_Release_Name] = COALESCE(RREF.[Release_Name], RREF.[Release_Number])

      ,[Referenced_Application_Name] = AREF.[Application_Name]

	  ,[Referenced_Pipeline_Id] = RREF.[Pipeline_Id]

FROM [ReleaseDeployables] RD
     INNER JOIN [Deployables] D
             ON D.[Deployable_Id] = RD.[Deployable_Id]
	 INNER JOIN [Releases] R
	         ON R.[Release_Id] = RD.[Release_Id]
     INNER JOIN [Applications] A
             ON A.[Application_Id] = R.[Application_Id]
     LEFT JOIN [Releases] RREF
			 ON RD.[Referenced_Release_Id] = RREF.[Release_Id]
     LEFT JOIN [Applications] AREF
			 ON AREF.[Application_Id] = RREF.[Application_Id]
GO


