EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetImportedDeployables',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DeployablesImported_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a set a imported deployables for a specified application'
GO

IF OBJECT_ID('[Applications_GetImportedDeployables]') IS NOT NULL DROP PROCEDURE [Applications_GetImportedDeployables]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetImportedDeployables]
(
	@Application_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		SELECT * FROM DeployablesImported_Extended
		WHERE @Application_Id IS NULL 
		   OR [Application_Id] = @Application_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Applications_GetImportedDeployables] TO [BuildMasterUser_Role]