EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildSchedules_GetBuildSchedules',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildSchedules_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a set of builds schedules for the specified application and active indicator, or all if null is supplied'
GO

IF OBJECT_ID('[BuildSchedules_GetBuildSchedules]') IS NOT NULL
	DROP PROCEDURE [BuildSchedules_GetBuildSchedules]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildSchedules_GetBuildSchedules]
(
	@Application_Id INT = NULL,
	@Active_Indicator YNINDICATOR = NULL
) AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildSchedules_Extended]
	 WHERE ( @Application_Id IS NULL OR [Application_Id] = @Application_Id )
	   AND [Active_Indicator] = COALESCE(@Active_Indicator, [Active_Indicator])

END
GO

GRANT EXECUTE ON [BuildSchedules_GetBuildSchedules] TO [BuildMasterUser_Role]
