EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetBuildSlim',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Builds_Slim',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the basic details for a specified build.'
GO


IF OBJECT_ID('[Builds_GetBuildSlim]') IS NOT NULL DROP PROCEDURE [Builds_GetBuildSlim]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetBuildSlim]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Builds_Slim]
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number
	   AND [Build_Number] = @Build_Number

END
GO

GRANT EXECUTE ON [Builds_GetBuildSlim] TO [BuildMasterUser_Role]
