EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetExecutions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the build executions for the specified build'
GO


IF OBJECT_ID('[Builds_GetExecutions]') IS NOT NULL DROP PROCEDURE [Builds_GetExecutions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetExecutions]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER,
	@PipelineStage_Name VARCHAR(50) = NULL,
	@Execution_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF NULLIF(@Execution_Count, 0) IS NOT NULL
		SET ROWCOUNT @Execution_Count

	SELECT *
	  FROM [BuildExecutions_Extended]
	 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@Release_Number IS NULL OR @Release_Number = [Release_Number])
	   AND (@Build_Number IS NULL OR @Build_Number = [Build_Number])
	   AND (@PipelineStage_Name IS NULL OR @PipelineStage_Name = [PipelineStage_Name])
	 ORDER BY [ExecutionStart_Date] DESC

END
GO

GRANT EXECUTE ON [Builds_GetExecutions] TO [BuildMasterUser_Role]
