EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChangeControls_GetChangeControls',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ChangeControls_Extended,ChangeControlEnvironments_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of change controls based on the specified criteria.'
GO

IF OBJECT_ID('[ChangeControls_GetChangeControls]') IS NOT NULL DROP PROCEDURE [ChangeControls_GetChangeControls]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ChangeControls_GetChangeControls]
(
    @Application_Id INT,
    @Release_Number RELEASENUMBER,
    @IncludeInactive_Indicator YNINDICATOR,
    @ChangeControl_Count INT
)
AS
BEGIN

SET NOCOUNT ON

    IF @ChangeControl_Count IS NOT NULL
        SET ROWCOUNT @ChangeControl_Count

    SELECT *
	  FROM [ChangeControls_Extended]
     WHERE [Application_Id] = COALESCE(@Application_Id, [Application_Id])
       AND [Release_Number] = COALESCE(@Release_Number, [Release_Number])
       AND ([Active_Indicator] = 'Y' OR @IncludeInactive_Indicator = 'Y')

    SELECT CCE.*
	  FROM [ChangeControlEnvironments_Extended] CCE
	       INNER JOIN [ChangeControls] CC
		           ON CC.[ChangeControl_Id] = CCE.ChangeControl_Id
	       INNER JOIN [Releases] R
		           ON R.[Release_Id] = CC.[Release_Id]
     WHERE R.[Application_Id] = COALESCE(@Application_Id, R.[Application_Id])
       AND R.[Release_Number] = COALESCE(@Release_Number, R.[Release_Number])
       AND (CC.[Active_Indicator] = 'Y' OR @IncludeInactive_Indicator = 'Y')

END
GO

GRANT EXECUTE ON [ChangeControls_GetChangeControls] TO [BuildMasterUser_Role]
