EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Containers_GetContainers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Containers_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the packages that match the specified criteria.'
GO

IF OBJECT_ID('[Containers_GetContainers]') IS NOT NULL DROP PROCEDURE [Containers_GetContainers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Containers_GetContainers]
(
    @Repository_Name NVARCHAR(255) = NULL,
	@ContainerSource_Name VARCHAR(50) = NULL,
	@Tag_Name NVARCHAR(100) = NULL,
	@Application_Id INT = NULL,
	@Build_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [Containers_Extended]
	 WHERE (@Repository_Name IS NULL OR [Repository_Name] = @Repository_Name)
	   AND (@ContainerSource_Name IS NULL OR [ContainerSource_Name] = @ContainerSource_Name)
	   AND (@Tag_Name IS NULL OR [Tag_Name] = @Tag_Name)
	   AND (@Build_Id IS NULL OR [Build_Id] = @Build_Id)
	   AND (@Application_Id IS NULL OR [Application_Id] = @Application_Id)

END
GO

GRANT EXECUTE ON [Containers_GetContainers] TO [BuildMasterUser_Role]
