EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Plans_GetPlanVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PlanVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all versions of the specified OtterScript plan.'
GO


IF OBJECT_ID('[Plans_GetPlanVersions]') IS NOT NULL DROP PROCEDURE [Plans_GetPlanVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Plans_GetPlanVersions]
(
	@Plan_Id INT,
    @PlanVersions_Count INT = NULL
)
AS
BEGIN
	SET NOCOUNT ON

    IF @PlanVersions_Count IS NOT NULL
        SET ROWCOUNT @PlanVersions_Count

	SELECT *
	  FROM [PlanVersions]
     WHERE [Plan_Id] = @Plan_Id
     ORDER BY [PlanVersion_Id] DESC

END
GO

GRANT EXECUTE ON [Plans_GetPlanVersions] TO [BuildMasterUser_Role]