EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_GetReleaseNote',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ReleaseNotes_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a release note from the system.'
GO

IF OBJECT_ID('[Releases_GetReleaseNote]') IS NOT NULL DROP PROCEDURE [Releases_GetReleaseNote]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_GetReleaseNote]
(
	@Release_Id INT,
	@ReleaseNote_Sequence INT
) 
AS BEGIN

	SELECT *
	  FROM [ReleaseNotes_Extended]
	 WHERE [Release_Id] = @Release_Id
	   AND [ReleaseNote_Sequence] = @ReleaseNote_Sequence
END
GO

GRANT EXECUTE ON [Releases_GetReleaseNote] TO [BuildMasterUser_Role]