EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Scripts_DeleteVariable',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a script variable.'
GO


IF OBJECT_ID('[Scripts_DeleteVariable]') IS NOT NULL DROP PROCEDURE [Scripts_DeleteVariable]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Scripts_DeleteVariable]
(
	@Script_Id INT,
	@ScriptVariable_Name NVARCHAR(50)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [ScriptVariables]
	 WHERE [Script_Id] = @Script_Id
	   AND [ScriptVariable_Name] = @ScriptVariable_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Scripts_DeleteVariable] TO [BuildMasterUser_Role]