EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_RemoveNamedUser',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Removes the specified user as a named user'
GO

IF OBJECT_ID('[Security_RemoveNamedUser]') IS NOT NULL DROP PROCEDURE [Security_RemoveNamedUser]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_RemoveNamedUser]
(
	@User_Name USERNAME
) AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [NamedUsers]
	 WHERE [User_Name] = @User_Name

	EXEC [Events_RaiseEvent] 'SECDLU', NULL, @User_Name

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Security_RemoveNamedUser] TO [BuildMasterUser_Role]