EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'UnifiedScripts_GetScripts',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Scripts_Unified',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the plans, modules, and scripts which are visible to the specified application or system.'
GO

IF OBJECT_ID('[UnifiedScripts_GetScripts]') IS NOT NULL DROP PROCEDURE [UnifiedScripts_GetScripts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [UnifiedScripts_GetScripts]
(
	@Application_Id INT = NULL,
	@IncludeInactive_Indicator YNINDICATOR = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [Scripts_Unified]
	 WHERE (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
	   AND (@IncludeInactive_Indicator = 'Y' OR [Active_Indicator] = 'Y')
	 ORDER BY [UnifiedScript_Name]

END
GO

GRANT EXECUTE ON [UnifiedScripts_GetScripts] TO [BuildMasterUser_Role]