EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'UserConfiguration_GetValue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Value_Text',
    /* Description_Text        */ 'Gets the specified user configuration value'
GO


IF OBJECT_ID('[dbo].[UserConfiguration_GetValue]') IS NOT NULL
	DROP PROCEDURE [dbo].[UserConfiguration_GetValue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[UserConfiguration_GetValue]
(
	@User_Name USERNAME,
	@Key_Name VARCHAR(250),
	@Value_Text VARCHAR(MAX) = NULL OUT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT @Value_Text = [Value_Text]
	  FROM [UserConfiguration]
	 WHERE [User_Name] = @User_Name
	   AND [Key_Name] = @Key_Name

END
GO

GRANT EXECUTE ON [dbo].[UserConfiguration_GetValue] TO [BuildMasterUser_Role]
GO
